%global commit d7f7d96880d25326195d8d44e64198b494e925a0
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           takari-local-repository
Version:        0.10.2
Release:        2%{?dist}
Summary:        Takari :: Local Repository

License:        EPL
URL:            https://github.com/takari/%{name}
Source0:        https://github.com/takari/%{name}/archive/%{commit}/%{name}-%{version}-%{shortcommit}.tar.gz
Source1:        eclipse-1.0.txt
BuildArch:      noarch

BuildRequires: mvn(edu.umd.cs:multithreadedtc)
BuildRequires: mvn(org.codehaus.plexus:plexus-component-annotations)
BuildRequires: mvn(org.eclipse.aether:aether-test-util)
BuildRequires: mvn(io.takari:takari-filemanager)
BuildRequires: mvn(junit:junit)
BuildRequires: maven-local

%description
This extension for Aether contains a synchronization context that
employs OS-level file locks to enable safe concurrent access to the
local repository across processes.
  

%package javadoc
Summary:        Javadoc for %{name}

%description javadoc
API documentation for %{name}.


%prep
%setup -q -n %{name}-%{commit}
cp %{SOURCE1} .

# Doesn't really need the parent and it's not packaged
%pom_remove_parent

# Fedora has multithreadedtc with a differend gid
%pom_remove_dep com.googlecode.multithreadedtc:multithreadedtc
%pom_add_dep edu.umd.cs:multithreadedtc

# sisu-maven-plugin is retired in Fedora
%pom_remove_plugin org.sonatype.plugins:sisu-maven-plugin

%build
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%doc eclipse-1.0.txt

%files javadoc -f .mfiles-javadoc
%doc eclipse-1.0.txt

%changelog
* Sun May 25 2014 Gerard Ryan <galileo@fedoraproject.org> - 0.10.2-2
- Package rename to takari-local-repository; update to latest upstream
- Remove sisu-maven-plugin (retired in Fedora)

* Sat Nov 23 2013 Gerard Ryan <galileo@fedoraproject.org> - 0.0.3-1
- Initial rpm
